org.apache.lucene.analysis.ar

## Class ArabicLetterTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.ar.ArabicLetterTokenizerFactory

Deprecated.
(3.1) Use StandardTokenizerFactory instead.

    @Deprecated
    public class ArabicLetterTokenizerFactory
    extends TokenizerFactory

Factory for `ArabicLetterTokenizer`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`ArabicLetterTokenizerFactory()` Deprecated.

### Method Summary

Methods
`ArabicLetterTokenizer` `create(Reader input)` Deprecated. Creates a TokenStream of the specified input
`void` `init(Map<String,String> args)` Deprecated. Initialize this factory via a set of key-value pairs.

### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

`availableTokenizers, forName, lookupClass, reloadTokenizers`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArabicLetterTokenizerFactory

    public ArabicLetterTokenizerFactory()

Deprecated.

### Method Detail

#### init

    public void init(Map<String,String> args)

Deprecated.
Description copied from class: `AbstractAnalysisFactory`
Initialize this factory via a set of key-value pairs.

Overrides:
  `init` in class `AbstractAnalysisFactory`

#### create

    public ArabicLetterTokenizer create(Reader input)

Deprecated.
Description copied from class: `TokenizerFactory`
Creates a TokenStream of the specified input

Specified by:
  `create` in class `TokenizerFactory`